//
//  AppDelegate.swift
//  tdvideo
//
//  Created by aaa on 2024/1/19.
//

/*
 https://www.figma.com/file/HtnafU9zeXR8qeW9CAIoIO/VR?type=design&node-id=379%3A963&mode=design&t=1Uxec3RbjuOvNuUK-1
 
 万川测试 com.peuid.snsdev
    com.cjsztea.wanchuan
 com.nks.vptest
 */

import UIKit

@main

class AppDelegate: UIResponder, UIApplicationDelegate {


    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        let window = UIWindow(frame: UIScreen.main.bounds)
        window.backgroundColor = UIColor.white
        
        let vc = ViewController()
        let navigationController = UINavigationController(rootViewController: vc)
        let tab = UITabBarController.init()
        tab.viewControllers = [vc]
        window.rootViewController = tab
        window.makeKeyAndVisible()
        
        return true
    }

    // MARK: UISceneSession Lifecycle

    func application(_ application: UIApplication, configurationForConnecting connectingSceneSession: UISceneSession, options: UIScene.ConnectionOptions) -> UISceneConfiguration {
        // Called when a new scene session is being created.
        // Use this method to select a configuration to create the new scene with.
        return UISceneConfiguration(name: "Default Configuration", sessionRole: connectingSceneSession.role)
    }

    func application(_ application: UIApplication, didDiscardSceneSessions sceneSessions: Set<UISceneSession>) {
        // Called when the user discards a scene session.
        // If any sessions were discarded while the application was not running, this will be called shortly after application:didFinishLaunchingWithOptions.
        // Use this method to release any resources that were specific to the discarded scenes, as they will not return.
    }


}

